SDL_GetCameraDevices(3)

NAME
SDL_GetCameraDevices - Get a list of currently connected camera devices.

HEADER FILE
Defined in SDL3/SDL_camera.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_CameraDeviceID* SDL_GetCameraDevices(int *count);

FUNCTION PARAMETERS

count
    a pointer filled in with the number of camera devices. Can be NULL.

RETURN VALUE
Returns a 0 terminated array of camera instance IDs which should be freed with SDL_free (), or NULL on error; call SDL_GetError () for more details.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_OpenCamera(3)